Loading...
Searching...
No Matches
ojph::size Struct Reference

`#include <ojph_base.h>`

## Public Member Functions

| size (ui32 w=0, ui32 h=0)
ui64 | area () const

## Public Attributes

ui32 | w
ui32 | h

## Detailed Description

Definition at line 47 of file ojph_base.h.

## Constructor & Destructor Documentation

## size()

ojph::size::size | ( | ui32 | w = 0,
|  | ui32 | h = 0 )

inline explicit

Definition at line 49 of file ojph_base.h.

References h, and w.

## Member Function Documentation

## area()

ui64 ojph::size::area | ( |  | ) | const

inline

Definition at line 53 of file ojph_base.h.

References h, and w.

## Member Data Documentation

## h

ui32 ojph::size::h

Definition at line 51 of file ojph_base.h.

Referenced by area(), ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codeblock::finalize_alloc(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::cod_SPcod::get_block_dims(), ojph::local::subband::get_cb_indices(), ojph::local::param_cod::get_precinct_size(), ojph::local::tag_tree::init(), LLVMFuzzerTestOneInput(), load_rawl(), load_yuv(), main(), ojph::local::codeblock::pre_alloc(), ojph::local::codestream::pre_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::subband::pre_alloc(), ojph::local::tile::pre_alloc(), ojph::local::subband::pull_line(), ojph::local::subband::push_line(), ojph::raw_in::set_img_props(), ojph::yuv_in::set_img_props(), ojph::param_cod::set_precinct_size(), ojph::local::param_siz::set_tile_size(), size(), and ojph::local::codestream::write_headers().

## w

ui32 ojph::size::w

Definition at line 50 of file ojph_base.h.

Referenced by area(), ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codeblock::finalize_alloc(), ojph::local::codestream::finalize_alloc(), ojph::local::resolution::finalize_alloc(), ojph::local::subband::finalize_alloc(), ojph::local::cod_SPcod::get_block_dims(), ojph::local::subband::get_cb_indices(), ojph::local::param_cod::get_precinct_size(), ojph::local::tag_tree::init(), LLVMFuzzerTestOneInput(), load_rawl(), load_yuv(), main(), ojph::local::codeblock::pre_alloc(), ojph::local::codestream::pre_alloc(), ojph::local::resolution::pre_alloc(), ojph::local::subband::pre_alloc(), ojph::local::tile::pre_alloc(), ojph::local::subband::pull_line(), ojph::local::subband::push_line(), ojph::raw_in::set_img_props(), ojph::yuv_in::set_img_props(), ojph::param_cod::set_precinct_size(), ojph::local::param_siz::set_tile_size(), size(), and ojph::local::codestream::write_headers().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_base.h